Subject: guix system reconfigure hangs silently when substitute server is unreachable

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 30 Sep 2022 17:15:32 -0400

Hi,

While fixing up Berlin today, I had to use '--no-substitutes' on the
daemon started per 'info (guix)Chrooting', otherwise it'd hang up
without printing any of the warnings (totally silent).  Using strace, I
could see:

--8<---------------cut here---------------start------------->8---
guix substitute: warning: ci.guix.gnu.org: host not found: System error
--8<---------------cut here---------------end--------------->8---

It'd be nice if these warnings were propagated all the way up so the
user would realize what is happening and take action.

-- 
Thanks,
Maxim